Subject: bug#28181: 26.0.50; emacs master segfaults on make-network-process, embedded device nokia n900

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Aug 2017 19:32:39 +0300

> From: andrés ramírez <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 23 Aug 2017 20:59:38 -0600
> 
> > ulimit, if you have it there.
> 
> --8<---------------cut here---------------start------------->8---
> $ ulimit            
> unlimited

Strange.

> > Can you show exactly what GDB says at the moment of crash?  I'd like
> > to see the full text of the message about the fatal signal.
> after segfault i did bt on gdb. And I sent it on the bug report
> 'xbacktrace' is not supported on this gdb version.
> 
> Do You need any other command to apply on gdb?

It's not a command.  When a program running under GDB crashes due to a
fatal signal, GDB says something like this:

  Program received signal SIGSEGV, Segmentation fault.
  set_glyph_string_background_width (s=0x838aca0, start=1, last_x=665)
      at xdisp.c:19970
  19970	  if (start == s->row->used[s->area]

I would like to see these few lines in your case.

Thanks.